Skip to content

List all delegate appointments

Request

Beta
OAuth 2.0 scope:
  • okta.governance.delegates.read
Admin roles:
  • SUPER_ADMIN
  • ACCESS_CERTIFICATION_ADMIN
  • ACCESS_REQUESTS_ADMIN

Lists all delegate appointments in your org.

You can filter delegate appointments for a specific user with the filter query parameter. You can also manage the number of records in the response with the limit and after query parameters.

Note: To list all delegate appointments, you must be assigned to either the SUPER_ADMIN role or both the ACCESS_CERTIFICATION_ADMIN and the ACCESS_REQUESTS_ADMIN roles.

The following are request examples with query parameters:

  1. Lists at most 20 delegate appointments
    /governance/api/v1/delegates?limit=20
  2. Lists the next 10 results of delegate appointments after a specific cursor
    /governance/api/v1/delegates?limit=10&after=gda123ABCXYZ456DEF
  3. Lists at most 2 delegate appointments with delegatorId equals 00ub0oNGTSWTBKOLAAAA or 00u2lxfQaw8WRlkQt0g4
    /governance/api/v1/delegates?filter=(delegatorId%20eq%20%2200ub0oNGTSWTBKOLGLNR%22%20OR%20delegatorId%20eq%20%2200ub0oNGTSWTBKOLGLNS%22)&limit=2
Query
filterstring

Filter expression for retrieving delegates based on specific criteria. Only the delegatorId property is supported with the eq operator.

Example:filter=delegatorId eq "00ub0oNGTSWTBKOLGLNR" OR delegatorId eq "00ub0oNGTSWTBKOLGLNS"
limitinteger, [ 1 .. 200 ]

The maximum number of records returned in a response

Default:20
afterstring

Specifies the pagination cursor for the next page of results. Treat this as an opaque value obtained through the standard link headers. See pagination.

Example:after=00u68w6vzKLultXS97g6
GET
/governance/api/v1/delegates
curl -i -X GET \
  'https://okta-subdomain.pixtulate.com/governance/api/v1/delegates?filter=delegatorId%20eq%20%2200ub0oNGTSWTBKOLGLNR%22%20OR%20delegatorId%20eq%20%2200ub0oNGTSWTBKOLGLNS%22&limit=20&after=00u68w6vzKLultXS97g6'

Responses

A successful response

Headers
X-Rate-Limit-Limitinteger, >= 1required

The rate-limit ceiling for the current request

Example:60
X-Rate-Limit-Remaininginteger, >= 0required

The number of requests left for the current rate-limit window

Example:60
X-Rate-Limit-Resetinteger, >= 0required

The time when the rate limit resets, specified in UTC epoch time (in seconds)

Example:1609459200
Bodyapplication/json
dataArray of objects(delegate-appointment)required

Delegate appointments

Response
{ "data": [ {}, {} ], "_links": { "self": {} } }